Skip to main content

16) View the complete list of security ratings by company

View the complete list of security levels registered in the management center.

API

MethodURL
POST/api/security/levels

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.

Response

NameTypeDescription
codeint0 : Success
Other values: Error
datajsonArraySecurity Level List
   scLabelIdstringLabel ID (data that needs to be entered when editing document security levels)
   scLabelNamestringLabel Name
   scSecurityLevelIdstringClassification grade ID (a higher concept of label)
   scSecurityLevelNamestringGrade Name
messagestringError message on failure

Examples

Request

  • Body
{
"licenseKey": "1EC0-3BFA8-7AA2-54423"
}

Response

  • success
{
"code": 0,
"data": [
{
"scLabelId": "yoGSZ4pU-hLreQwr6-bk2Bl9aL-DvQ6sfKw",
"scLabelName": "Classified",
"scSecurityLevelId": "GgcoNPBJ-iN4WXGCm-s3YN6moy-4an7Nzx7",
"scSecurityLevelName": "C"
},
{
"scLabelId": "2ED2AiUx-BYUTCHRM-FzbwdJrW-8i6YuTv7",
"scLabelName": "Open",
"scSecurityLevelId": "oWc67uZC-UpX06Bao-En2fIIbx-a4rzXYTw",
"scSecurityLevelName": "O"
},
{
"scLabelId": "jPQOgOEa-Ge338ddW-3q4Wyy2S-Qy3w4mm5",
"scLabelName": "Sensitive",
"scSecurityLevelId": "AaqDHX6p-isGDTLc1-jPfEmTzN-GtFuVVJl",
"scSecurityLevelName": "S"
}
]
}

[보안 등급 정책 존재하지 않음]
{
"code": 0,
"data": []
}
  • failure
  • Status code : 401 Unauthorized
[라이선스 검증 실패]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}